# framework::get-version

Gets the version of the specified framework.

### Usage

`Version framework::get-version(framework)`

### Parameters

Name | Type | Description
--- | --- | ---
framework | string | The framework of which the version should be returned.

### Return Value

The version of the specified framework.

### Exceptions

The function will fail in any of the following circumstances:

- framework is not a valid framework identifier.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)

### See Also

framework::get-runtime-framework() | framework::get-target-framework()